| Agda-2.2.6: A dependently typed functional programming language and proof assistant | Source code | Contents | Index

Agda.Compiler.Agate.Main

Description
main module.
Synopsis

compilerMain :: TCM () -> TCM ()
enumConstructors :: Definitions -> [QName]
computeMaxArity :: Definitions -> TCM Nat
getConstructorArity :: Definition -> TCM Nat
printConstants :: Definitions -> IO ()
printShowConstants :: Definitions -> IO ()

Documentation

compilerMain :: TCM () -> TCM () | Source

The main function

enumConstructors :: Definitions -> [QName] | Source

computeMaxArity :: Definitions -> TCM Nat | Source

getConstructorArity :: Definition -> TCM Nat | Source

printConstants :: Definitions -> IO () | Source

printShowConstants :: Definitions -> IO () | Source

Produced by Haddock version 2.4.2